/****************************************************************************
** Meta object code from reading C++ file 'kcmlocale.h'
**
** Created by: The Qt Meta Object Compiler version 63 (Qt 4.8.6)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include "../../../kcontrol/locale/kcmlocale.h"
#if !defined(Q_MOC_OUTPUT_REVISION)
#error "The header file 'kcmlocale.h' doesn't include <QObject>."
#elif Q_MOC_OUTPUT_REVISION != 63
#error "This file was generated using the moc from 4.8.6. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

QT_BEGIN_MOC_NAMESPACE
static const uint qt_meta_data_KCMLocale[] = {

 // content:
       6,       // revision
       0,       // classname
       0,    0, // classinfo
      78,   14, // methods
       0,    0, // properties
       0,    0, // enums/sets
       0,    0, // constructors
       0,       // flags
       0,       // signalCount

 // slots: signature, parameters, type, tag, flags
      11,   10,   10,   10, 0x08,
      26,   10,   10,   10, 0x08,
      49,   43,   10,   10, 0x08,
      74,   10,   10,   10, 0x08,
      99,   43,   10,   10, 0x08,
     132,   10,   10,   10, 0x08,
     154,   10,   10,   10, 0x08,
     181,  176,   10,   10, 0x08,
     228,  176,   10,   10, 0x08,
     274,   10,   10,   10, 0x08,
     296,   10,   10,   10, 0x08,
     326,   43,   10,   10, 0x08,
     364,   10,   10,   10, 0x08,
     408,  399,   10,   10, 0x08,
     450,   10,   10,   10, 0x08,
     480,  399,   10,   10, 0x08,
     517,   10,   10,   10, 0x08,
     547,  399,   10,   10, 0x08,
     580,   10,   10,   10, 0x08,
     609,  399,   10,   10, 0x08,
     645,   10,   10,   10, 0x08,
     674,  399,   10,   10, 0x08,
     710,   10,   10,   10, 0x08,
     735,   43,   10,   10, 0x08,
     768,   10,   10,   10, 0x08,
     790,   43,   10,   10, 0x08,
     820,   10,   10,   10, 0x08,
     844,   43,   10,   10, 0x08,
     876,   10,   10,   10, 0x08,
     907,   43,   10,   10, 0x08,
     946,   10,   10,   10, 0x08,
     982,  399,   10,   10, 0x08,
    1025,   10,   10,   10, 0x08,
    1056,  399,   10,   10, 0x08,
    1094,   10,   10,   10, 0x08,
    1125,  399,   10,   10, 0x08,
    1159,   10,   10,   10, 0x08,
    1191,   43,   10,   10, 0x08,
    1231,   10,   10,   10, 0x08,
    1263,   43,   10,   10, 0x08,
    1303,   10,   10,   10, 0x08,
    1329,   43,   10,   10, 0x08,
    1363,   10,   10,   10, 0x08,
    1387,   43,   10,   10, 0x08,
    1419,   10,   10,   10, 0x08,
    1441,  399,   10,   10, 0x08,
    1467,   10,   10,   10, 0x08,
    1492,  399,   10,   10, 0x08,
    1520,   10,   10,   10, 0x08,
    1546,   43,   10,   10, 0x08,
    1580,   10,   10,   10, 0x08,
    1602,   43,   10,   10, 0x08,
    1632,   10,   10,   10, 0x08,
    1661,   43,   10,   10, 0x08,
    1698,   10,   10,   10, 0x08,
    1725,   43,   10,   10, 0x08,
    1760,   10,   10,   10, 0x08,
    1783,   43,   10,   10, 0x08,
    1814,   10,   10,   10, 0x08,
    1834,  399,   10,   10, 0x08,
    1861,   10,   10,   10, 0x08,
    1879,  399,   10,   10, 0x08,
    1904,   10,   10,   10, 0x08,
    1922,  399,   10,   10, 0x08,
    1947,   10,   10,   10, 0x08,
    1967,  399,   10,   10, 0x08,
    1994,   10,   10,   10, 0x08,
    2019,  399,   10,   10, 0x08,
    2051,   10,   10,   10, 0x08,
    2080,  399,   10,   10, 0x08,
    2113,   10,   10,   10, 0x08,
    2139,   43,   10,   10, 0x08,
    2173,   10,   10,   10, 0x08,
    2191,   43,   10,   10, 0x08,
    2217,   10,   10,   10, 0x08,
    2240,   43,   10,   10, 0x08,
    2271,   10,   10,   10, 0x08,
    2298,   43,   10,   10, 0x08,

       0        // eod
};

static const char qt_meta_stringdata_KCMLocale[] = {
    "KCMLocale\0\0updateSample()\0defaultCountry()\0"
    "index\0changedCountryIndex(int)\0"
    "defaultCountryDivision()\0"
    "changedCountryDivisionIndex(int)\0"
    "defaultTranslations()\0changedTranslations()\0"
    "item\0changedTranslationsAvailable(QListWidgetItem*)\0"
    "changedTranslationsSelected(QListWidgetItem*)\0"
    "installTranslations()\0"
    "defaultNumericDigitGrouping()\0"
    "changedNumericDigitGroupingIndex(int)\0"
    "defaultNumericThousandsSeparator()\0"
    "newValue\0changedNumericThousandsSeparator(QString)\0"
    "defaultNumericDecimalSymbol()\0"
    "changedNumericDecimalSymbol(QString)\0"
    "defaultNumericDecimalPlaces()\0"
    "changedNumericDecimalPlaces(int)\0"
    "defaultNumericPositiveSign()\0"
    "changedNumericPositiveSign(QString)\0"
    "defaultNumericNegativeSign()\0"
    "changedNumericNegativeSign(QString)\0"
    "defaultNumericDigitSet()\0"
    "changedNumericDigitSetIndex(int)\0"
    "defaultCurrencyCode()\0"
    "changedCurrencyCodeIndex(int)\0"
    "defaultCurrencySymbol()\0"
    "changedCurrencySymbolIndex(int)\0"
    "defaultMonetaryDigitGrouping()\0"
    "changedMonetaryDigitGroupingIndex(int)\0"
    "defaultMonetaryThousandsSeparator()\0"
    "changedMonetaryThousandsSeparator(QString)\0"
    "defaultMonetaryDecimalSymbol()\0"
    "changedMonetaryDecimalSymbol(QString)\0"
    "defaultMonetaryDecimalPlaces()\0"
    "changedMonetaryDecimalPlaces(int)\0"
    "defaultMonetaryPositiveFormat()\0"
    "changedMonetaryPositiveFormatIndex(int)\0"
    "defaultMonetaryNegativeFormat()\0"
    "changedMonetaryNegativeFormatIndex(int)\0"
    "defaultMonetaryDigitSet()\0"
    "changedMonetaryDigitSetIndex(int)\0"
    "defaultCalendarSystem()\0"
    "changedCalendarSystemIndex(int)\0"
    "defaultUseCommonEra()\0changedUseCommonEra(bool)\0"
    "defaultShortYearWindow()\0"
    "changedShortYearWindow(int)\0"
    "defaultWeekNumberSystem()\0"
    "changedWeekNumberSystemIndex(int)\0"
    "defaultWeekStartDay()\0"
    "changedWeekStartDayIndex(int)\0"
    "defaultWorkingWeekStartDay()\0"
    "changedWorkingWeekStartDayIndex(int)\0"
    "defaultWorkingWeekEndDay()\0"
    "changedWorkingWeekEndDayIndex(int)\0"
    "defaultWeekDayOfPray()\0"
    "changedWeekDayOfPrayIndex(int)\0"
    "defaultTimeFormat()\0changedTimeFormat(QString)\0"
    "defaultAmSymbol()\0changedAmSymbol(QString)\0"
    "defaultPmSymbol()\0changedPmSymbol(QString)\0"
    "defaultDateFormat()\0changedDateFormat(QString)\0"
    "defaultShortDateFormat()\0"
    "changedShortDateFormat(QString)\0"
    "defaultMonthNamePossessive()\0"
    "changedMonthNamePossessive(bool)\0"
    "defaultDateTimeDigitSet()\0"
    "changedDateTimeDigitSetIndex(int)\0"
    "defaultPageSize()\0changedPageSizeIndex(int)\0"
    "defaultMeasureSystem()\0"
    "changedMeasureSystemIndex(int)\0"
    "defaultBinaryUnitDialect()\0"
    "changedBinaryUnitDialectIndex(int)\0"
};

void KCMLocale::qt_static_metacall(QObject *_o, QMetaObject::Call _c, int _id, void **_a)
{
    if (_c == QMetaObject::InvokeMetaMethod) {
        Q_ASSERT(staticMetaObject.cast(_o));
        KCMLocale *_t = static_cast<KCMLocale *>(_o);
        switch (_id) {
        case 0: _t->updateSample(); break;
        case 1: _t->defaultCountry(); break;
        case 2: _t->changedCountryIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 3: _t->defaultCountryDivision(); break;
        case 4: _t->changedCountryDivisionIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 5: _t->defaultTranslations(); break;
        case 6: _t->changedTranslations(); break;
        case 7: _t->changedTranslationsAvailable((*reinterpret_cast< QListWidgetItem*(*)>(_a[1]))); break;
        case 8: _t->changedTranslationsSelected((*reinterpret_cast< QListWidgetItem*(*)>(_a[1]))); break;
        case 9: _t->installTranslations(); break;
        case 10: _t->defaultNumericDigitGrouping(); break;
        case 11: _t->changedNumericDigitGroupingIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 12: _t->defaultNumericThousandsSeparator(); break;
        case 13: _t->changedNumericThousandsSeparator((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 14: _t->defaultNumericDecimalSymbol(); break;
        case 15: _t->changedNumericDecimalSymbol((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 16: _t->defaultNumericDecimalPlaces(); break;
        case 17: _t->changedNumericDecimalPlaces((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 18: _t->defaultNumericPositiveSign(); break;
        case 19: _t->changedNumericPositiveSign((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 20: _t->defaultNumericNegativeSign(); break;
        case 21: _t->changedNumericNegativeSign((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 22: _t->defaultNumericDigitSet(); break;
        case 23: _t->changedNumericDigitSetIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 24: _t->defaultCurrencyCode(); break;
        case 25: _t->changedCurrencyCodeIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 26: _t->defaultCurrencySymbol(); break;
        case 27: _t->changedCurrencySymbolIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 28: _t->defaultMonetaryDigitGrouping(); break;
        case 29: _t->changedMonetaryDigitGroupingIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 30: _t->defaultMonetaryThousandsSeparator(); break;
        case 31: _t->changedMonetaryThousandsSeparator((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 32: _t->defaultMonetaryDecimalSymbol(); break;
        case 33: _t->changedMonetaryDecimalSymbol((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 34: _t->defaultMonetaryDecimalPlaces(); break;
        case 35: _t->changedMonetaryDecimalPlaces((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 36: _t->defaultMonetaryPositiveFormat(); break;
        case 37: _t->changedMonetaryPositiveFormatIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 38: _t->defaultMonetaryNegativeFormat(); break;
        case 39: _t->changedMonetaryNegativeFormatIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 40: _t->defaultMonetaryDigitSet(); break;
        case 41: _t->changedMonetaryDigitSetIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 42: _t->defaultCalendarSystem(); break;
        case 43: _t->changedCalendarSystemIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 44: _t->defaultUseCommonEra(); break;
        case 45: _t->changedUseCommonEra((*reinterpret_cast< bool(*)>(_a[1]))); break;
        case 46: _t->defaultShortYearWindow(); break;
        case 47: _t->changedShortYearWindow((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 48: _t->defaultWeekNumberSystem(); break;
        case 49: _t->changedWeekNumberSystemIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 50: _t->defaultWeekStartDay(); break;
        case 51: _t->changedWeekStartDayIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 52: _t->defaultWorkingWeekStartDay(); break;
        case 53: _t->changedWorkingWeekStartDayIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 54: _t->defaultWorkingWeekEndDay(); break;
        case 55: _t->changedWorkingWeekEndDayIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 56: _t->defaultWeekDayOfPray(); break;
        case 57: _t->changedWeekDayOfPrayIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 58: _t->defaultTimeFormat(); break;
        case 59: _t->changedTimeFormat((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 60: _t->defaultAmSymbol(); break;
        case 61: _t->changedAmSymbol((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 62: _t->defaultPmSymbol(); break;
        case 63: _t->changedPmSymbol((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 64: _t->defaultDateFormat(); break;
        case 65: _t->changedDateFormat((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 66: _t->defaultShortDateFormat(); break;
        case 67: _t->changedShortDateFormat((*reinterpret_cast< const QString(*)>(_a[1]))); break;
        case 68: _t->defaultMonthNamePossessive(); break;
        case 69: _t->changedMonthNamePossessive((*reinterpret_cast< bool(*)>(_a[1]))); break;
        case 70: _t->defaultDateTimeDigitSet(); break;
        case 71: _t->changedDateTimeDigitSetIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 72: _t->defaultPageSize(); break;
        case 73: _t->changedPageSizeIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 74: _t->defaultMeasureSystem(); break;
        case 75: _t->changedMeasureSystemIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        case 76: _t->defaultBinaryUnitDialect(); break;
        case 77: _t->changedBinaryUnitDialectIndex((*reinterpret_cast< int(*)>(_a[1]))); break;
        default: ;
        }
    }
}

const QMetaObjectExtraData KCMLocale::staticMetaObjectExtraData = {
    0,  qt_static_metacall 
};

const QMetaObject KCMLocale::staticMetaObject = {
    { &KCModule::staticMetaObject, qt_meta_stringdata_KCMLocale,
      qt_meta_data_KCMLocale, &staticMetaObjectExtraData }
};

#ifdef Q_NO_DATA_RELOCATION
const QMetaObject &KCMLocale::getStaticMetaObject() { return staticMetaObject; }
#endif //Q_NO_DATA_RELOCATION

const QMetaObject *KCMLocale::metaObject() const
{
    return QObject::d_ptr->metaObject ? QObject::d_ptr->metaObject : &staticMetaObject;
}

void *KCMLocale::qt_metacast(const char *_clname)
{
    if (!_clname) return 0;
    if (!strcmp(_clname, qt_meta_stringdata_KCMLocale))
        return static_cast<void*>(const_cast< KCMLocale*>(this));
    return KCModule::qt_metacast(_clname);
}

int KCMLocale::qt_metacall(QMetaObject::Call _c, int _id, void **_a)
{
    _id = KCModule::qt_metacall(_c, _id, _a);
    if (_id < 0)
        return _id;
    if (_c == QMetaObject::InvokeMetaMethod) {
        if (_id < 78)
            qt_static_metacall(this, _c, _id, _a);
        _id -= 78;
    }
    return _id;
}
QT_END_MOC_NAMESPACE
